#include<iostream>
using namespace std;
int main(){
int n , a , raz , o=0 , x=1 , y=0 , nac , pom , p=0;
cin>>n;
int h[n];
for(int i = 0;i<n;i++){
    cin>>h[i];
    if(h[i]>h[i-1]&&h[i]>h[i+1]){
        a=h[i];
    }
    else if(h[i]<h[i+1] && h[i]<h[i-1]){
        a=h[i];
    }
    else {
        a=h[i];
    }
    nac=i*(i-1)/2;
    pom = i;
        }


while(o<pom){
        raz=h[x]-h[y];
        for(int p = 0;p<raz;p++){
            if(p==pom){
                nac--;
            }
        }
       o+=1;
       x+=1;
       y+=1;
}
cout<<nac;
return 0;
}
